package onvif

import (
	"github.com/gin-gonic/gin"
	"zabbixagent2plugintemplate/response"
	"zabbixagent2plugintemplate/service/onvif"
)

func GetNotifications(c *gin.Context) {
	response.NewResponse().WithData(onvif.Notifications).Send(c)
}

func GetNotificationByXaddr(c *gin.Context) {
	xaddr := c.Param("xaddr")
	response.NewResponse().WithData(onvif.Notifications[xaddr]).Send(c)
}

func DeleteNotificationByXaddr(c *gin.Context) {
	xaddr := c.Param("xaddr")
	delete(onvif.Notifications, xaddr)

	response.NewResponse().Success().Send(c)
}
